library(ggplot2)

getmode <- function(v) {
  uniqv <- unique(v)
  uniqv[which.max(tabulate(match(v, uniqv)))]
}


### Computer Interests 
## interest computing
table(participants_control$q2)
print(paste('mode on question 2 -',  getmode(participants_control$q2)))
print(paste('median on question 2 -', median(as.numeric(participants_control$q2))))

cor.test(participants_control$q2, participants_control$q5, method = "spearman")

# gender
table(participants_girls$q2)
getmode(participants_girls$q2)
median(participants_girls$q2)

table(participants_boys$q2)
getmode(participants_boys$q2)
median(participants_boys$q2)

wilcox.test(participants_girls$q2, participants_boys$q2)

#cor.test(participants_girls$q2, participants_girls$q5)
cor.test(participants_girls$q2, participants_girls$q5, method = "spearman")
#cor.test(participants_boys$q2, participants_boys$q5)
cor.test(participants_boys$q2, participants_boys$q5, method = "spearman")

r1 = 0.2725657 
n1 = 97
z1 = 0.5*log((1+r1)/(1-r1))
r2 = 0.3468098 
n2 = 85
z2 = 0.5*log((1+r2)/(1-r2))
nc = (1/(n1-3)) + (1/(n2-3))
zdif = (z1-z2)/sqrt(nc)
rm(r1, n1, z1, r2, n2, z2, nc)

# age
table(participants_age_7_8$q2)
getmode(participants_age_7_8$q2)
median(participants_age_7_8$q2)

table(participants_age_9_10$q2)
getmode(participants_age_9_10$q2)
median(participants_age_9_10$q2)

table(participants_age_11_12$q2)
getmode(participants_age_11_12$q2)
median(participants_age_11_12$q2)

table(participants_age_13_14$q2)
getmode(participants_age_13_14$q2)
median(participants_age_13_14$q2)

cor.test(participants_control$q2, participants_control$age, method = "spearman")
cor.test(participants_control$q2, participants_control$age_category, method = "spearman")

wilcox.test(participants_age_7_8$q2, participants_age_9_10$q2)
wilcox.test(participants_age_7_8$q2, participants_age_11_12$q2)
wilcox.test(participants_age_7_8$q2, participants_age_13_14$q2)
wilcox.test(participants_age_9_10$q2, participants_age_11_12$q2)
wilcox.test(participants_age_9_10$q2, participants_age_13_14$q2)
wilcox.test(participants_age_11_12$q2, participants_age_13_14$q2)

cor.test(participants_age_7_8$q2, participants_age_7_8$q5, method = "spearman")
cor.test(participants_age_9_10$q2, participants_age_9_10$q5, method = "spearman")
cor.test(participants_age_11_12$q2, participants_age_11_12$q5, method = "spearman")
cor.test(participants_age_13_14$q2, participants_age_13_14$q5, method = "spearman")

r1 = 0.4455362 
n1 = 75
z1 = 0.5*log((1+r1)/(1-r1))
r2 = 0.37501 
n2 = 59

z2 = 0.5*log((1+r2)/(1-r2))
nc = (1/(n1-3)) + (1/(n2-3))
zdif = (z1-z2)/sqrt(nc)
rm(r1, n1, z1, r2, n2, z2, nc)

## interest videogaming
table(participants_control$q3)
print(paste('mode on question 3 -',  getmode(participants_control$q3)))
print(paste('median on question 3 -', median(as.numeric(participants_control$q3))))
cor.test(participants_control$q3, participants_control$q5, method = "spearman")

# gender
table(participants_girls$q3)
getmode(participants_girls$q3)
median(participants_girls$q3)

table(participants_boys$q3)
getmode(participants_boys$q3)
median(participants_boys$q3)

wilcox.test(participants_girls$q3, participants_boys$q3)
cor.test(participants_girls$q3, participants_girls$q5, method = "spearman")
cor.test(participants_boys$q3, participants_boys$q5, method = "spearman")

# age
table(participants_age_7_8$q3)
getmode(participants_age_7_8$q3)
median(participants_age_7_8$q3)

table(participants_age_9_10$q3)
getmode(participants_age_9_10$q3)
median(participants_age_9_10$q3)

table(participants_age_11_12$q3)
getmode(participants_age_11_12$q3)
median(participants_age_11_12$q3)

table(participants_age_13_14$q3)
getmode(participants_age_13_14$q3)
median(participants_age_13_14$q3)

cor.test(participants_control$q3, participants_control$age, method = "spearman")
cor.test(participants_control$q3, participants_control$age_category, method = "spearman")

wilcox.test(participants_age_7_8$q3, participants_age_9_10$q3)
wilcox.test(participants_age_7_8$q3, participants_age_11_12$q3)
wilcox.test(participants_age_7_8$q3, participants_age_13_14$q3)
wilcox.test(participants_age_9_10$q3, participants_age_11_12$q3)
wilcox.test(participants_age_9_10$q3, participants_age_13_14$q3)
wilcox.test(participants_age_11_12$q3, participants_age_13_14$q3)

cor.test(participants_age_7_8$q3, participants_age_7_8$q5, method = "spearman")
cor.test(participants_age_9_10$q3, participants_age_9_10$q5, method = "spearman")
cor.test(participants_age_11_12$q3, participants_age_11_12$q5, method = "spearman")
cor.test(participants_age_13_14$q3, participants_age_13_14$q5, method = "spearman")

rm(zdif)
